## List fabric templates

### cURL

```bash
curl --request GET \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/ \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### 200

```json
{
  "name": "production template",
  "code": "production template",
  "description": "Template for product and variant attributes in fabric PIM for the connected account of production staff",
  "id": 16,
  "direction": "export",
  "data_type": "products",
  "template_mappings": [
    {
      "template list": "response"
    }
  ],
  "created_at": "2025-03-10T15:24:56Z"
}
```

### Authorizations

**Authorization**  
Type: string  
Location: header  
Required: yes  
Format: `Bearer <token>`

### Path Parameters  
1. **retailer_id**  
   - Type: integer  
   - Required: yes  
   - Description: Unique retailer ID
   - Example: `1001`

2. **fabric_id**  
   - Type: integer  
   - Required: yes  
   - Description: Maps to your Platform Account ID

### Response  
- **200 - application/json - Ok**
  - **name**: string (required) - Example: `"production template"`
  - **code**: string (required) - Example: `"production template"`
  - **description**: string|null (required) - Example: `"Template for product and variant attributes in fabric PIM for the connected account of production staff"`
  - **id**: integer (read-only) - Example: `16`
  - **direction**: enum<string>|null - Example: `"export"`
  - **data_type**: enum<string>|null - Example: `"products"`
  - **template_mappings**: string (read-only) - Example: `[{ "template list": "response" }]`
  - **created_at**: string<date-time> (read-only) - Example: `"2025-03-10T15:24:56Z"`
